<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::RawCalorimeterHit Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_raw_calorimeter_hit.html">RawCalorimeterHit</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classeic_1_1_raw_calorimeter_hit-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::RawCalorimeterHit Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_raw_calorimeter_hit_8h_source.html">RawCalorimeterHit.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a18874dd4b71cf2c50e915ac5722bc16b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_calorimeter_hit.html#a18874dd4b71cf2c50e915ac5722bc16b">RawCalorimeterHit</a> ()</td></tr>
<tr class="memdesc:a18874dd4b71cf2c50e915ac5722bc16b"><td class="mdescLeft">&#160;</td><td class="mdescRight">default constructor  <a href="#a18874dd4b71cf2c50e915ac5722bc16b">More...</a><br /></td></tr>
<tr class="separator:a18874dd4b71cf2c50e915ac5722bc16b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2bccc5f44322c623eaff6c3b628bd794"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_calorimeter_hit.html#a2bccc5f44322c623eaff6c3b628bd794">RawCalorimeterHit</a> (long long <a class="el" href="classeic_1_1_raw_calorimeter_hit.html#ae525a5e00ca842dadf5952f1f1a2edf6">cellID0</a>, long long <a class="el" href="classeic_1_1_raw_calorimeter_hit.html#a2362f85576e55f3358068241e0c65563">cellID1</a>, long long <a class="el" href="classeic_1_1_raw_calorimeter_hit.html#a7d27879fd4f4c99e97cea5c3075d0406">amplitude</a>, long long <a class="el" href="classeic_1_1_raw_calorimeter_hit.html#a27fb675c2e72d7c5a0cc91d9686075c5">timeStamp</a>)</td></tr>
<tr class="separator:a2bccc5f44322c623eaff6c3b628bd794"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae75ca5857990468914fb973d426468d3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_calorimeter_hit.html#ae75ca5857990468914fb973d426468d3">RawCalorimeterHit</a> (<a class="el" href="classeic_1_1_raw_calorimeter_hit_obj.html">RawCalorimeterHitObj</a> *obj)</td></tr>
<tr class="memdesc:ae75ca5857990468914fb973d426468d3"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor from existing <a class="el" href="classeic_1_1_raw_calorimeter_hit_obj.html">RawCalorimeterHitObj</a>  <a href="#ae75ca5857990468914fb973d426468d3">More...</a><br /></td></tr>
<tr class="separator:ae75ca5857990468914fb973d426468d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a8856362ad3e22f9c0892d25994bc0b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_calorimeter_hit.html#a9a8856362ad3e22f9c0892d25994bc0b">RawCalorimeterHit</a> (const <a class="el" href="classeic_1_1_raw_calorimeter_hit.html">RawCalorimeterHit</a> &amp;other)</td></tr>
<tr class="memdesc:a9a8856362ad3e22f9c0892d25994bc0b"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy constructor  <a href="#a9a8856362ad3e22f9c0892d25994bc0b">More...</a><br /></td></tr>
<tr class="separator:a9a8856362ad3e22f9c0892d25994bc0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93d0e6c13419685eb0daa54e71446559"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_raw_calorimeter_hit.html">RawCalorimeterHit</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_calorimeter_hit.html#a93d0e6c13419685eb0daa54e71446559">operator=</a> (const <a class="el" href="classeic_1_1_raw_calorimeter_hit.html">RawCalorimeterHit</a> &amp;other)</td></tr>
<tr class="memdesc:a93d0e6c13419685eb0daa54e71446559"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy-assignment operator  <a href="#a93d0e6c13419685eb0daa54e71446559">More...</a><br /></td></tr>
<tr class="separator:a93d0e6c13419685eb0daa54e71446559"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1fb06df57044b0157d9e46b9d88c6c1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_raw_calorimeter_hit.html">RawCalorimeterHit</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_calorimeter_hit.html#ac1fb06df57044b0157d9e46b9d88c6c1">clone</a> () const</td></tr>
<tr class="memdesc:ac1fb06df57044b0157d9e46b9d88c6c1"><td class="mdescLeft">&#160;</td><td class="mdescRight">support cloning (deep-copy)  <a href="#ac1fb06df57044b0157d9e46b9d88c6c1">More...</a><br /></td></tr>
<tr class="separator:ac1fb06df57044b0157d9e46b9d88c6c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b2f90624c502ac3010eb888707b8b6b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_calorimeter_hit.html#a2b2f90624c502ac3010eb888707b8b6b">~RawCalorimeterHit</a> ()</td></tr>
<tr class="memdesc:a2b2f90624c502ac3010eb888707b8b6b"><td class="mdescLeft">&#160;</td><td class="mdescRight">destructor  <a href="#a2b2f90624c502ac3010eb888707b8b6b">More...</a><br /></td></tr>
<tr class="separator:a2b2f90624c502ac3010eb888707b8b6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b37e8d9b362b6597ed10bce58a4db5d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_calorimeter_hit.html#a8b37e8d9b362b6597ed10bce58a4db5d">operator ConstRawCalorimeterHit</a> () const</td></tr>
<tr class="memdesc:a8b37e8d9b362b6597ed10bce58a4db5d"><td class="mdescLeft">&#160;</td><td class="mdescRight">conversion to const object  <a href="#a8b37e8d9b362b6597ed10bce58a4db5d">More...</a><br /></td></tr>
<tr class="separator:a8b37e8d9b362b6597ed10bce58a4db5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae525a5e00ca842dadf5952f1f1a2edf6"><td class="memItemLeft" align="right" valign="top">const long long &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_calorimeter_hit.html#ae525a5e00ca842dadf5952f1f1a2edf6">cellID0</a> () const</td></tr>
<tr class="memdesc:ae525a5e00ca842dadf5952f1f1a2edf6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The detector specific (geometrical) cell id.  <a href="#ae525a5e00ca842dadf5952f1f1a2edf6">More...</a><br /></td></tr>
<tr class="separator:ae525a5e00ca842dadf5952f1f1a2edf6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2362f85576e55f3358068241e0c65563"><td class="memItemLeft" align="right" valign="top">const long long &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_calorimeter_hit.html#a2362f85576e55f3358068241e0c65563">cellID1</a> () const</td></tr>
<tr class="memdesc:a2362f85576e55f3358068241e0c65563"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The second detector specific (geometrical) cell id.  <a href="#a2362f85576e55f3358068241e0c65563">More...</a><br /></td></tr>
<tr class="separator:a2362f85576e55f3358068241e0c65563"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d27879fd4f4c99e97cea5c3075d0406"><td class="memItemLeft" align="right" valign="top">const long long &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_calorimeter_hit.html#a7d27879fd4f4c99e97cea5c3075d0406">amplitude</a> () const</td></tr>
<tr class="memdesc:a7d27879fd4f4c99e97cea5c3075d0406"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The amplitude of the hit in ADC counts.  <a href="#a7d27879fd4f4c99e97cea5c3075d0406">More...</a><br /></td></tr>
<tr class="separator:a7d27879fd4f4c99e97cea5c3075d0406"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27fb675c2e72d7c5a0cc91d9686075c5"><td class="memItemLeft" align="right" valign="top">const long long &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_calorimeter_hit.html#a27fb675c2e72d7c5a0cc91d9686075c5">timeStamp</a> () const</td></tr>
<tr class="memdesc:a27fb675c2e72d7c5a0cc91d9686075c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The time stamp for the hit.  <a href="#a27fb675c2e72d7c5a0cc91d9686075c5">More...</a><br /></td></tr>
<tr class="separator:a27fb675c2e72d7c5a0cc91d9686075c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f969f3559043b484de8512fe365bc0e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_calorimeter_hit.html#a4f969f3559043b484de8512fe365bc0e">cellID0</a> (long long value)</td></tr>
<tr class="memdesc:a4f969f3559043b484de8512fe365bc0e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the The detector specific (geometrical) cell id.  <a href="#a4f969f3559043b484de8512fe365bc0e">More...</a><br /></td></tr>
<tr class="separator:a4f969f3559043b484de8512fe365bc0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6aefe9c51f820f06967c49db664f83c9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_calorimeter_hit.html#a6aefe9c51f820f06967c49db664f83c9">cellID1</a> (long long value)</td></tr>
<tr class="memdesc:a6aefe9c51f820f06967c49db664f83c9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the The second detector specific (geometrical) cell id.  <a href="#a6aefe9c51f820f06967c49db664f83c9">More...</a><br /></td></tr>
<tr class="separator:a6aefe9c51f820f06967c49db664f83c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9dd120b7287066f8f46311b94d8c0352"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_calorimeter_hit.html#a9dd120b7287066f8f46311b94d8c0352">amplitude</a> (long long value)</td></tr>
<tr class="memdesc:a9dd120b7287066f8f46311b94d8c0352"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the The amplitude of the hit in ADC counts.  <a href="#a9dd120b7287066f8f46311b94d8c0352">More...</a><br /></td></tr>
<tr class="separator:a9dd120b7287066f8f46311b94d8c0352"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a765f9aebfe7fd63528c4a3674bf9807c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_calorimeter_hit.html#a765f9aebfe7fd63528c4a3674bf9807c">timeStamp</a> (long long value)</td></tr>
<tr class="memdesc:a765f9aebfe7fd63528c4a3674bf9807c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the The time stamp for the hit.  <a href="#a765f9aebfe7fd63528c4a3674bf9807c">More...</a><br /></td></tr>
<tr class="separator:a765f9aebfe7fd63528c4a3674bf9807c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0fb49adaec4a8d10dcdd3b5c74ab9cf6"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_calorimeter_hit.html#a0fb49adaec4a8d10dcdd3b5c74ab9cf6">isAvailable</a> () const</td></tr>
<tr class="memdesc:a0fb49adaec4a8d10dcdd3b5c74ab9cf6"><td class="mdescLeft">&#160;</td><td class="mdescRight">check whether the object is actually available  <a href="#a0fb49adaec4a8d10dcdd3b5c74ab9cf6">More...</a><br /></td></tr>
<tr class="separator:a0fb49adaec4a8d10dcdd3b5c74ab9cf6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a422113676b708a5594b5977648422782"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_calorimeter_hit.html#a422113676b708a5594b5977648422782">unlink</a> ()</td></tr>
<tr class="memdesc:a422113676b708a5594b5977648422782"><td class="mdescLeft">&#160;</td><td class="mdescRight">disconnect from <a class="el" href="classeic_1_1_raw_calorimeter_hit_obj.html">RawCalorimeterHitObj</a> instance  <a href="#a422113676b708a5594b5977648422782">More...</a><br /></td></tr>
<tr class="separator:a422113676b708a5594b5977648422782"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6507b24ca137fd967db666713f55d4f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_calorimeter_hit.html#ac6507b24ca137fd967db666713f55d4f">operator==</a> (const <a class="el" href="classeic_1_1_raw_calorimeter_hit.html">RawCalorimeterHit</a> &amp;other) const</td></tr>
<tr class="separator:ac6507b24ca137fd967db666713f55d4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41d5823b669c0ceebdc73dabc0bd81c2"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_calorimeter_hit.html#a41d5823b669c0ceebdc73dabc0bd81c2">operator==</a> (const <a class="el" href="classeic_1_1_const_raw_calorimeter_hit.html">ConstRawCalorimeterHit</a> &amp;other) const</td></tr>
<tr class="separator:a41d5823b669c0ceebdc73dabc0bd81c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78d42b301164958e0945ba739e0e0ce9"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_calorimeter_hit.html#a78d42b301164958e0945ba739e0e0ce9">operator&lt;</a> (const <a class="el" href="classeic_1_1_raw_calorimeter_hit.html">RawCalorimeterHit</a> &amp;other) const</td></tr>
<tr class="separator:a78d42b301164958e0945ba739e0e0ce9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09bfc26b853958f1afde7f9ab2e736a6"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_calorimeter_hit.html#a09bfc26b853958f1afde7f9ab2e736a6">id</a> () const</td></tr>
<tr class="separator:a09bfc26b853958f1afde7f9ab2e736a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31d2d422ea7d316cd6983a62b5f6be5d"><td class="memItemLeft" align="right" valign="top">const podio::ObjectID&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_calorimeter_hit.html#a31d2d422ea7d316cd6983a62b5f6be5d">getObjectID</a> () const</td></tr>
<tr class="separator:a31d2d422ea7d316cd6983a62b5f6be5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Raw (digitized) calorimeter hit </p><dl class="section author"><dt>Author</dt><dd>: W.Armstrong </dd></dl>

<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_8h_source.html#l00025">25</a> of file <a class="el" href="_raw_calorimeter_hit_8h_source.html">RawCalorimeterHit.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a18874dd4b71cf2c50e915ac5722bc16b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18874dd4b71cf2c50e915ac5722bc16b">&#9670;&nbsp;</a></span>RawCalorimeterHit() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::RawCalorimeterHit::RawCalorimeterHit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>default constructor </p>

<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_8cc_source.html#l00016">16</a> of file <a class="el" href="_raw_calorimeter_hit_8cc_source.html">RawCalorimeterHit.cc</a>.</p>

</div>
</div>
<a id="a2bccc5f44322c623eaff6c3b628bd794"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2bccc5f44322c623eaff6c3b628bd794">&#9670;&nbsp;</a></span>RawCalorimeterHit() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::RawCalorimeterHit::RawCalorimeterHit </td>
          <td>(</td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>cellID0</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>cellID1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>amplitude</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>timeStamp</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_8cc_source.html#l00020">20</a> of file <a class="el" href="_raw_calorimeter_hit_8cc_source.html">RawCalorimeterHit.cc</a>.</p>

<p class="reference">References <a class="el" href="_raw_calorimeter_hit_data_8h_source.html#l00018">eic::RawCalorimeterHitData::amplitude</a>, <a class="el" href="_raw_calorimeter_hit_8cc_source.html#l00053">amplitude()</a>, <a class="el" href="_raw_calorimeter_hit_data_8h_source.html#l00016">eic::RawCalorimeterHitData::cellID0</a>, <a class="el" href="_raw_calorimeter_hit_8cc_source.html#l00051">cellID0()</a>, <a class="el" href="_raw_calorimeter_hit_data_8h_source.html#l00017">eic::RawCalorimeterHitData::cellID1</a>, <a class="el" href="_raw_calorimeter_hit_8cc_source.html#l00052">cellID1()</a>, <a class="el" href="_raw_calorimeter_hit_obj_8h_source.html#l00030">eic::RawCalorimeterHitObj::data</a>, <a class="el" href="_raw_calorimeter_hit_data_8h_source.html#l00019">eic::RawCalorimeterHitData::timeStamp</a>, and <a class="el" href="_raw_calorimeter_hit_8cc_source.html#l00054">timeStamp()</a>.</p>

</div>
</div>
<a id="ae75ca5857990468914fb973d426468d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae75ca5857990468914fb973d426468d3">&#9670;&nbsp;</a></span>RawCalorimeterHit() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::RawCalorimeterHit::RawCalorimeterHit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classeic_1_1_raw_calorimeter_hit_obj.html">RawCalorimeterHitObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>constructor from existing <a class="el" href="classeic_1_1_raw_calorimeter_hit_obj.html">RawCalorimeterHitObj</a> </p>

<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_8cc_source.html#l00038">38</a> of file <a class="el" href="_raw_calorimeter_hit_8cc_source.html">RawCalorimeterHit.cc</a>.</p>

</div>
</div>
<a id="a9a8856362ad3e22f9c0892d25994bc0b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a8856362ad3e22f9c0892d25994bc0b">&#9670;&nbsp;</a></span>RawCalorimeterHit() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::RawCalorimeterHit::RawCalorimeterHit </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_raw_calorimeter_hit.html">RawCalorimeterHit</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy constructor </p>

<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_8cc_source.html#l00028">28</a> of file <a class="el" href="_raw_calorimeter_hit_8cc_source.html">RawCalorimeterHit.cc</a>.</p>

</div>
</div>
<a id="a2b2f90624c502ac3010eb888707b8b6b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b2f90624c502ac3010eb888707b8b6b">&#9670;&nbsp;</a></span>~RawCalorimeterHit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::RawCalorimeterHit::~RawCalorimeterHit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>destructor </p>

<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_8cc_source.html#l00046">46</a> of file <a class="el" href="_raw_calorimeter_hit_8cc_source.html">RawCalorimeterHit.cc</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a7d27879fd4f4c99e97cea5c3075d0406"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d27879fd4f4c99e97cea5c3075d0406">&#9670;&nbsp;</a></span>amplitude() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const long long &amp; eic::RawCalorimeterHit::amplitude </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The amplitude of the hit in ADC counts. </p>

<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_8cc_source.html#l00053">53</a> of file <a class="el" href="_raw_calorimeter_hit_8cc_source.html">RawCalorimeterHit.cc</a>.</p>

<p class="reference">References <a class="el" href="_raw_calorimeter_hit_data_8h_source.html#l00018">eic::RawCalorimeterHitData::amplitude</a>, and <a class="el" href="_raw_calorimeter_hit_obj_8h_source.html#l00030">eic::RawCalorimeterHitObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_raw_calorimeter_hit_8cc_source.html#l00020">RawCalorimeterHit()</a>.</p>

</div>
</div>
<a id="a9dd120b7287066f8f46311b94d8c0352"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9dd120b7287066f8f46311b94d8c0352">&#9670;&nbsp;</a></span>amplitude() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::RawCalorimeterHit::amplitude </td>
          <td>(</td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the The amplitude of the hit in ADC counts. </p>

<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_8cc_source.html#l00059">59</a> of file <a class="el" href="_raw_calorimeter_hit_8cc_source.html">RawCalorimeterHit.cc</a>.</p>

<p class="reference">References <a class="el" href="_raw_calorimeter_hit_data_8h_source.html#l00018">eic::RawCalorimeterHitData::amplitude</a>, and <a class="el" href="_raw_calorimeter_hit_obj_8h_source.html#l00030">eic::RawCalorimeterHitObj::data</a>.</p>

</div>
</div>
<a id="ae525a5e00ca842dadf5952f1f1a2edf6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae525a5e00ca842dadf5952f1f1a2edf6">&#9670;&nbsp;</a></span>cellID0() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const long long &amp; eic::RawCalorimeterHit::cellID0 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_8cc_source.html#l00051">51</a> of file <a class="el" href="_raw_calorimeter_hit_8cc_source.html">RawCalorimeterHit.cc</a>.</p>

<p class="reference">References <a class="el" href="_raw_calorimeter_hit_data_8h_source.html#l00016">eic::RawCalorimeterHitData::cellID0</a>, and <a class="el" href="_raw_calorimeter_hit_obj_8h_source.html#l00030">eic::RawCalorimeterHitObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_raw_calorimeter_hit_8cc_source.html#l00020">RawCalorimeterHit()</a>.</p>

</div>
</div>
<a id="a4f969f3559043b484de8512fe365bc0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f969f3559043b484de8512fe365bc0e">&#9670;&nbsp;</a></span>cellID0() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::RawCalorimeterHit::cellID0 </td>
          <td>(</td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the The detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_8cc_source.html#l00057">57</a> of file <a class="el" href="_raw_calorimeter_hit_8cc_source.html">RawCalorimeterHit.cc</a>.</p>

<p class="reference">References <a class="el" href="_raw_calorimeter_hit_data_8h_source.html#l00016">eic::RawCalorimeterHitData::cellID0</a>, and <a class="el" href="_raw_calorimeter_hit_obj_8h_source.html#l00030">eic::RawCalorimeterHitObj::data</a>.</p>

</div>
</div>
<a id="a2362f85576e55f3358068241e0c65563"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2362f85576e55f3358068241e0c65563">&#9670;&nbsp;</a></span>cellID1() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const long long &amp; eic::RawCalorimeterHit::cellID1 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The second detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_8cc_source.html#l00052">52</a> of file <a class="el" href="_raw_calorimeter_hit_8cc_source.html">RawCalorimeterHit.cc</a>.</p>

<p class="reference">References <a class="el" href="_raw_calorimeter_hit_data_8h_source.html#l00017">eic::RawCalorimeterHitData::cellID1</a>, and <a class="el" href="_raw_calorimeter_hit_obj_8h_source.html#l00030">eic::RawCalorimeterHitObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_raw_calorimeter_hit_8cc_source.html#l00020">RawCalorimeterHit()</a>.</p>

</div>
</div>
<a id="a6aefe9c51f820f06967c49db664f83c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6aefe9c51f820f06967c49db664f83c9">&#9670;&nbsp;</a></span>cellID1() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::RawCalorimeterHit::cellID1 </td>
          <td>(</td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the The second detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_8cc_source.html#l00058">58</a> of file <a class="el" href="_raw_calorimeter_hit_8cc_source.html">RawCalorimeterHit.cc</a>.</p>

<p class="reference">References <a class="el" href="_raw_calorimeter_hit_data_8h_source.html#l00017">eic::RawCalorimeterHitData::cellID1</a>, and <a class="el" href="_raw_calorimeter_hit_obj_8h_source.html#l00030">eic::RawCalorimeterHitObj::data</a>.</p>

</div>
</div>
<a id="ac1fb06df57044b0157d9e46b9d88c6c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac1fb06df57044b0157d9e46b9d88c6c1">&#9670;&nbsp;</a></span>clone()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_raw_calorimeter_hit.html">RawCalorimeterHit</a> eic::RawCalorimeterHit::clone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>support cloning (deep-copy) </p>

<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_8cc_source.html#l00042">42</a> of file <a class="el" href="_raw_calorimeter_hit_8cc_source.html">RawCalorimeterHit.cc</a>.</p>

</div>
</div>
<a id="a31d2d422ea7d316cd6983a62b5f6be5d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31d2d422ea7d316cd6983a62b5f6be5d">&#9670;&nbsp;</a></span>getObjectID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const podio::ObjectID eic::RawCalorimeterHit::getObjectID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_8cc_source.html#l00075">75</a> of file <a class="el" href="_raw_calorimeter_hit_8cc_source.html">RawCalorimeterHit.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_raw_calorimeter_hit_8h_source.html#l00099">id()</a>.</p>

</div>
</div>
<a id="a09bfc26b853958f1afde7f9ab2e736a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09bfc26b853958f1afde7f9ab2e736a6">&#9670;&nbsp;</a></span>id()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::RawCalorimeterHit::id </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_8h_source.html#l00099">99</a> of file <a class="el" href="_raw_calorimeter_hit_8h_source.html">RawCalorimeterHit.h</a>.</p>

<p class="reference">References <a class="el" href="_raw_calorimeter_hit_8cc_source.html#l00075">getObjectID()</a>, and <a class="el" href="_calorimeter_hit_8cc_source.html#l00112">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a0fb49adaec4a8d10dcdd3b5c74ab9cf6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0fb49adaec4a8d10dcdd3b5c74ab9cf6">&#9670;&nbsp;</a></span>isAvailable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::RawCalorimeterHit::isAvailable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>check whether the object is actually available </p>

<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_8cc_source.html#l00068">68</a> of file <a class="el" href="_raw_calorimeter_hit_8cc_source.html">RawCalorimeterHit.cc</a>.</p>

</div>
</div>
<a id="a8b37e8d9b362b6597ed10bce58a4db5d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b37e8d9b362b6597ed10bce58a4db5d">&#9670;&nbsp;</a></span>operator ConstRawCalorimeterHit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::RawCalorimeterHit::operator <a class="el" href="classeic_1_1_const_raw_calorimeter_hit.html">ConstRawCalorimeterHit</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>conversion to const object </p>

<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_8cc_source.html#l00049">49</a> of file <a class="el" href="_raw_calorimeter_hit_8cc_source.html">RawCalorimeterHit.cc</a>.</p>

</div>
</div>
<a id="a78d42b301164958e0945ba739e0e0ce9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a78d42b301164958e0945ba739e0e0ce9">&#9670;&nbsp;</a></span>operator<()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::RawCalorimeterHit::operator&lt; </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_raw_calorimeter_hit.html">RawCalorimeterHit</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_8h_source.html#l00097">97</a> of file <a class="el" href="_raw_calorimeter_hit_8h_source.html">RawCalorimeterHit.h</a>.</p>

</div>
</div>
<a id="a93d0e6c13419685eb0daa54e71446559"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93d0e6c13419685eb0daa54e71446559">&#9670;&nbsp;</a></span>operator=()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_raw_calorimeter_hit.html">RawCalorimeterHit</a> &amp; eic::RawCalorimeterHit::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_raw_calorimeter_hit.html">RawCalorimeterHit</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy-assignment operator </p>

<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_8cc_source.html#l00032">32</a> of file <a class="el" href="_raw_calorimeter_hit_8cc_source.html">RawCalorimeterHit.cc</a>.</p>

</div>
</div>
<a id="ac6507b24ca137fd967db666713f55d4f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac6507b24ca137fd967db666713f55d4f">&#9670;&nbsp;</a></span>operator==() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::RawCalorimeterHit::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_raw_calorimeter_hit.html">RawCalorimeterHit</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_8h_source.html#l00093">93</a> of file <a class="el" href="_raw_calorimeter_hit_8h_source.html">RawCalorimeterHit.h</a>.</p>

</div>
</div>
<a id="a41d5823b669c0ceebdc73dabc0bd81c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a41d5823b669c0ceebdc73dabc0bd81c2">&#9670;&nbsp;</a></span>operator==() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::RawCalorimeterHit::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_raw_calorimeter_hit.html">ConstRawCalorimeterHit</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_8cc_source.html#l00082">82</a> of file <a class="el" href="_raw_calorimeter_hit_8cc_source.html">RawCalorimeterHit.cc</a>.</p>

</div>
</div>
<a id="a27fb675c2e72d7c5a0cc91d9686075c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27fb675c2e72d7c5a0cc91d9686075c5">&#9670;&nbsp;</a></span>timeStamp() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const long long &amp; eic::RawCalorimeterHit::timeStamp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The time stamp for the hit. </p>

<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_8cc_source.html#l00054">54</a> of file <a class="el" href="_raw_calorimeter_hit_8cc_source.html">RawCalorimeterHit.cc</a>.</p>

<p class="reference">References <a class="el" href="_raw_calorimeter_hit_obj_8h_source.html#l00030">eic::RawCalorimeterHitObj::data</a>, and <a class="el" href="_raw_calorimeter_hit_data_8h_source.html#l00019">eic::RawCalorimeterHitData::timeStamp</a>.</p>

<p class="reference">Referenced by <a class="el" href="_raw_calorimeter_hit_8cc_source.html#l00020">RawCalorimeterHit()</a>.</p>

</div>
</div>
<a id="a765f9aebfe7fd63528c4a3674bf9807c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a765f9aebfe7fd63528c4a3674bf9807c">&#9670;&nbsp;</a></span>timeStamp() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::RawCalorimeterHit::timeStamp </td>
          <td>(</td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the The time stamp for the hit. </p>

<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_8cc_source.html#l00060">60</a> of file <a class="el" href="_raw_calorimeter_hit_8cc_source.html">RawCalorimeterHit.cc</a>.</p>

<p class="reference">References <a class="el" href="_raw_calorimeter_hit_obj_8h_source.html#l00030">eic::RawCalorimeterHitObj::data</a>, and <a class="el" href="_raw_calorimeter_hit_data_8h_source.html#l00019">eic::RawCalorimeterHitData::timeStamp</a>.</p>

</div>
</div>
<a id="a422113676b708a5594b5977648422782"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a422113676b708a5594b5977648422782">&#9670;&nbsp;</a></span>unlink()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::RawCalorimeterHit::unlink </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>disconnect from <a class="el" href="classeic_1_1_raw_calorimeter_hit_obj.html">RawCalorimeterHitObj</a> instance </p>

<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_8h_source.html#l00091">91</a> of file <a class="el" href="_raw_calorimeter_hit_8h_source.html">RawCalorimeterHit.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_raw_calorimeter_hit_8h_source.html">RawCalorimeterHit.h</a></li>
<li>src/<a class="el" href="_raw_calorimeter_hit_8cc_source.html">RawCalorimeterHit.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
